archerysec/tools/urls.py
# -*- coding: utf-8 -*-
#                    _
#     /\            | |
#    /  \   _ __ ___| |__   ___ _ __ _   _
#   / /\ \ | '__/ __| '_ \ / _ \ '__| | | |
#  / ____ \| | | (__| | | |  __/ |  | |_| |
# /_/    \_\_|  \___|_| |_|\___|_|   \__, |
#                                     __/ |
#                                    |___/
# Copyright (C) 2017 Anand Tiwari
#
# Email:   anandtiwarics@gmail.com
# Twitter: @anandtiwarics
#
# This file is part of ArcherySec Project.

from django.urls import include, path
from tools import views

app_name = 'tools'

urlpatterns = [
    path('sslscan/',
        views.sslscan,
        name='sslscan'),
    path('sslscan_result/',
        views.sslscan_result,
        name='sslscan_result'),
    path('sslcan_del/',
        views.sslcan_del,
        name='sslcan_del'),

    # Nikto requests
    path('nikto/',
        views.nikto,
        name='nikto'),
    path('nikto_result/',
        views.nikto_result,
        name='nikto_result'),
    path('nikto_scan_del/',
        views.nikto_scan_del,
        name='nikto_scan_del'),

    path('nikto_result_vul/',
        views.nikto_result_vul,
        name='nikto_result_vul'),
    path('nikto_vuln_del/',
        views.nikto_vuln_del,
        name='nikto_vuln_del'),

    # nmap requests
    path('nmap_scan/',
        views.nmap_scan,
        name='nmap_scan'),
    path('nmap/',
        views.nmap,
        name='nmap'),
    path('nmap_result/',
        views.nmap_result,
        name='nmap_result'),
    path('nmap_scan_del/',
        views.nmap_scan_del,
        name='nmap_scan_del'),

    #Nmap_Vulners
    path('nmap_vulners_scan/',
        views.nmap_vulners_scan,
        name='nmap_scan'),
    path('nmap_vulners/',
        views.nmap_vulners,
        name='nmap_vulners'),
    path('nmap_vulners_port_list/',
        views.nmap_vulners_port,
        name='nmap_vulners_port'),
]

archerysec/webscanners/burpscanner/urls.py
# -*- coding: utf-8 -*-
#                    _
#     /\            | |
#    /  \   _ __ ___| |__   ___ _ __ _   _
#   / /\ \ | '__/ __| '_ \ / _ \ '__| | | |
#  / ____ \| | | (__| | | |  __/ |  | |_| |
# /_/    \_\_|  \___|_| |_|\___|_|   \__, |
#                                     __/ |
#                                    |___/
# Copyright (C) 2017 Anand Tiwari
#
# Email:   anandtiwarics@gmail.com
# Twitter: @anandtiwarics
#
# This file is part of ArcherySec Project.

from django.urls import include, path
from webscanners.burpscanner import views

app_name = 'burpscanner'

urlpatterns = [
    # Burp scans
    path('burp_launch_scan/',
        views.burp_scan_launch,
        name='burp_launch_scan'),

    path('burp_scan_list/',
        views.burp_scan_list,
        name='burp_scan_list'),

    path('burp_vuln_list/',
        views.burp_list_vuln,
        name='burp_vuln_list'),

    path('burp_vuln_data/',
        views.burp_vuln_data,
        name='burp_vuln_data'),

    path('burp_vuln_out/',
        views.burp_vuln_out,
        name='burp_vuln_out'),

    path('del_burp_scan/',
        views.del_burp_scan,
        name='del_burp_scan'),

    path('del_burp_vuln/',
        views.del_burp_vuln,
        name='del_burp_vuln'),

    path('export/',
        views.export,
        name='export'),

    path('burp_setting/',
        views.burp_setting,
        name='burp_setting'),

]

archerysec/webscanners/urls.py
# -*- coding: utf-8 -*-
#                    _
#     /\            | |
#    /  \   _ __ ___| |__   ___ _ __ _   _
#   / /\ \ | '__/ __| '_ \ / _ \ '__| | | |
#  / ____ \| | | (__| | | |  __/ |  | |_| |
# /_/    \_\_|  \___|_| |_|\___|_|   \__, |
#                                     __/ |
#                                    |___/
# Copyright (C) 2017 Anand Tiwari
#
# Email:   anandtiwarics@gmail.com
# Twitter: @anandtiwarics
#
# This file is part of ArcherySec Project.

from django.urls import include, path
from webscanners import web_views

app_name = 'webscanners'

urlpatterns = [
    path('login/',
        web_views.login,
        name='login'),
    path('signup/',
        web_views.signup,
        name='signup'),
    path('auth/',
        web_views.auth_view,
        name='auth'),
    path('logout/',
        web_views.logout,
        name='logout'),
    path('loggedin/',
        web_views.loggedin,
        name='loggedin'),
    path('',
        web_views.index,
        name='index'),
    path('setting/',
        web_views.setting,
        name='setting'),


    # Burp scans
    path('xml_upload/',
        web_views.xml_upload,
        name='xml_upload'),
    path('email_setting/',
        web_views.email_setting,
        name='email_setting', ),
    path('cookie_add/',
        web_views.add_cookies,
        name='cookie_add', ),

    path('web_task_launch/',
        web_views.web_task_launch,
        name='web_task_launch'),

    path('web_scan_schedule/',
        web_views.web_scan_schedule,
        name='web_scan_schedule'),

    path('del_web_scan_schedule/',
        web_views.del_web_scan_schedule,
        name='del_web_scan_schedule'),

    path('sel_login/',
        web_views.sel_login,
        name='sel'),

    path('save_cookie/',
        web_views.save_cookie,
        name='save_cookie'),

    path('exclude_url/',
        web_views.exclude_url,
        name='exclude_url'),

    path('cookies_list/',
        web_views.cookies_list,
        name='cookies_list'),

    path('cookies_del/',
        web_views.del_cookies,
        name='cookies_del'),

    path('excluded_url_list/',
        web_views.exluded_url_list,
        name='excluded_url_list'),

    path('del_notify/',
        web_views.del_notify,
        name='del_notify'),


    path('del_all_notify/',
        web_views.del_all_notify,
        name='del_all_notify'),

]

archerysec/webscanners/zapscanner/urls.py
# -*- coding: utf-8 -*-
#                    _
#     /\            | |
#    /  \   _ __ ___| |__   ___ _ __ _   _
#   / /\ \ | '__/ __| '_ \ / _ \ '__| | | |
#  / ____ \| | | (__| | | |  __/ |  | |_| |
# /_/    \_\_|  \___|_| |_|\___|_|   \__, |
#                                     __/ |
#                                    |___/
# Copyright (C) 2017 Anand Tiwari
#
# Email:   anandtiwarics@gmail.com
# Twitter: @anandtiwarics
#
# This file is part of ArcherySec Project.

from django.urls import include, path
from webscanners.zapscanner import views

app_name = 'zapscanner'

urlpatterns = [

    path('zap_scan/',
        views.zap_scan,
        name='zap_scan'),

    path('zap_scan_list/',
        views.zap_scan_list,
        name='zap_scan_list'),

    path('zap_list_vuln/',
        views.zap_list_vuln,
        name='zap_list_vuln'),

    path('zap_vuln_details/',
        views.zap_vuln_details,
        name='zap_vuln_details'),

    path('zap_settings/',
        views.zap_settings,
        name='zap_settings'),

    path('zap_setting_update/',
        views.zap_setting_update,
        name='zap_setting_update'),

    path('del_zap_scan/',
        views.del_zap_scan,
        name='del_zap_scan'),

    path('del_zap_vuln/',
        views.del_zap_vuln,
        name='del_zap_vuln'),

    path('zap_vuln_check/',
        views.zap_vuln_check,
        name='zap_vuln_check'),

    path('sel_login/',
        views.sel_login,
        name='sel_login'),

    path('save_cookie/',
        views.save_cookie,
        name='save_cookie'),

    path('exclude_url/',
        views.exclude_url,
        name='exclude_url'),

    path('zap_scan_pdf_gen/',
        views.zap_scan_pdf_gen,
        name='zap_scan_pdf_gen'),

    path('zap_rescan/',
        views.zap_rescan,
        name='zap_rescan'),

    path('cookies_list/',
        views.cookies_list,
        name='cookies_list'),

    path('cookies_del/',
        views.del_cookies,
        name='cookies_del'),

    path('excluded_url_list/',
        views.exluded_url_list,
        name='excluded_url_list'),

    # path('zap_scan_schedule',
    #     views.zap_scan_schedule,
    #     name='zap_scan_schedule'),
    #
    # path('del_zap_scan_schedule',
    #     views.del_zap_scan_schedule,
    #     name='del_zap_scan_schedule'),

    path('export/',
        views.export,
        name='export'),

]

archerysec/webscanners/templates/zapscanner/zap_list_vuln.html
{% extends 'dashboard/base.html' %}

{% block body %}
<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <br>
                        <div class="d-md-flex align-items-center">
                            <h5 class="card-title">Vulnerability List</h5>
                        </div>
                        <br>
                        <div class="row">
                            <div class="table-responsive">
                                <table id="zap_scans_list" class="table table-bordered data-table">
                                    <thead>
                            <tr>
                                <th>Vulnerability</th>
                                <th>Status</th>
                                <th>Risk</th>
                            </tr>
                            </thead>
                            <tbody>{% for data in zap_all_vul %}
                            <tr data-target="#">
                                <td><a href="{% url 'zapscanner:zap_vuln_details' %}?scan_id={{data.scan_id}}&scan_name={{data.name}}">{{data.name}}</a>
                                </td>
                                {% if data.vuln_status == 'Open' %}
                                        <td><span class="badge badge-pill badge-purple">{{data.vuln_status}}</span></td>
                                        {% endif %}
                                        {% if data.vuln_status == 'Duplicate' %}
                                        <td><span class="badge badge-pill badge-warning">{{data.vuln_status}}</span></td>
                                        {% endif %}
                                <td><span class="badge badge-pill badge-{{data.vuln_color}}">{{data.risk}}</span></td>
                            </tr>
                            {% endfor %}
                            </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

archerysec/webscanners/templates/zapscanner/zap_scan_list.html
{% extends 'dashboard/base.html' %}

{% block body %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.css" rel="stylesheet">

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
<script type="text/javascript">

    $("#checkAll").change(function () {
        $("input:checkbox").prop('checked', $(this).prop("checked"));
    });
    $(document).ready(function() {
        $('.btn-danger').click(function(){
            if (confirm('Are you sure you want to delete this?')) {
                var scan_id = ['a7af5b68-b661-45ad-90fd-ffa27526cdce'];
                $.each($("input[name='del_scan_id']:checked"), function(){
                    scan_id.push($(this).val());
                });

                var json_scanid = scan_id.join(", ");
                $.ajax({
                    type:'POST',
                    <!--contentType: 'application/json; charset=utf-8',-->
                    url:'{% url 'zapscanner:del_zap_scan' %}',
                    data:{
                       scan_scanid: json_scanid,
                       csrfmiddlewaretoken:$('input[name=csrfmiddlewaretoken]').val()
                    },
                    sucess:function(){

                    }
                });
                setTimeout(location.reload(), 6000);
            }
        });

    });

    $(document).ready(function() {
        $('.btn-primary').click(function(){
                var scan_id = ['a7af5b68-b661-45ad-90fd-ffa27526cdce'];
                $.each($("input[name='del_scan_id']:checked"), function(){
                    scan_id.push($(this).val());
                });

            document.getElementById("toexport").value = scan_id.join(", ");


        });

    });


$(document).on('click', '.confirm-delete', function(){
    return confirm('Are you sure you want to delete this?');
})




</script>
<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="float-right">
                            <div class="btn-group" role="group" aria-label="Basic example">
                                <a href="{% url 'webscanners:xml_upload' %}" class="btn btn-primary btn-mini"><i
                                        class="icon-upload-alt"></i> Upload XML</a>
                            </div>
                            <button type="button" class="btn btn-danger btn-mini">Delete Selected</button>
                        </div>
                        <br>
                        <br>
                        <div class="float-right">
                            <form action="{% url 'zapscanner:export' %}" method="post"
                                  class="forms-sample">
                                {% csrf_token %}
                                <div class="form-row align-items-center">
                                    <div class="col-auto my-1">
                                        <select name="type" class="custom-select mr-sm-2" id="inlineFormCustomSelect">
                                            <option value="csv" selected>CSV</option>
                                            <option value="json">JSON</option>
                                            <option value="yaml">YAML</option>
                                        </select>
                                    </div>
                                    <div class="col-auto my-1">
                                        <input type="hidden" id="toexport" name="scan_id"/>
                                        <button type="submit" class="btn btn-primary"><i
                                                class="fas fa-arrow-alt-circle-down"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <br>
                        <div class="d-md-flex align-items-center">
                            <h1 class="card-title"> ZAP Scanner Scan List </h1>
                        </div>
                        <br>
                        <div class="row">
                            <div class="table-responsive">
                                <!--<table id="vuln_details" class="table table-striped table-bordered" width="100%">-->
                                <table id="zap_scans_list" class="table table-bordered data-table">
                                    <thead>
                                    <tr>
                                        <!--<th><p><label><input type="checkbox" id="checkAll"/></label></p></th>-->
                                        <th><label class="customcheckbox m-b-20">
                                            <input type="checkbox" id="mainCheckbox">
                                            <span class="checkmark"></span>
                                        </label></th>
                                        <th>URL</th>
                                        <th>Status</th>
                                        <!--<th>Date Time</th>-->
                                        <th>Total Vulnerability</th>
                                        <th>High</th>
                                        <th>Medium</th>
                                        <th>Low</th>
                                        <th>Info</th>
                                        <th>Duplicates</th>
{#                                        <th></th>#}
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>{% for data in all_scans %}
                                    <tr data-target="#">
                                        <td>
                                            <form>
                                                <label class="customcheckbox">
                                                    <input type="checkbox" class="listCheckbox"
                                                           value="{{data.scan_scanid}}"
                                                           name="del_scan_id"
                                                           onClick="reload">
                                                    <span class="checkmark"></span>
                                                </label>
                                            </form>
                                        </td>
                                        <td>
                                            <a href="{% url 'zapscanner:zap_list_vuln' %}?scan_id={{data.scan_scanid}}">{{data.scan_url}}</a>
                                        </td>
                                        <td width="20%">
                                            <div>
                                                <div class="d-flex no-block align-items-center">
                                                    <span>{{data.scan_status}}{{data.vul_status}}% Completed</span>
                                                </div>
                                                <div class="progress{% if data.scan_status != '100.0' %} active progress-striped{% endif %}">
                                                    <div class="progress-bar progress-bar-striped" role="progressbar"
                                                         style="width: {{data.scan_status}}{{data.vul_status}}%" aria-valuenow="10" aria-valuemin="0"
                                                         aria-valuemax="100"></div>
                                                </div>
                                            </div>
                                        </td>
                                        <!--<td>{{data.date_time}}</td>-->
                                        <td><span class="badge badge-pill badge-dark">{{data.total_vul}}</span></td>
                                        <td><span class="badge badge-pill badge-danger">{{data.high_vul}}</span></td>
                                        <td><span class="badge badge-pill badge-warning">{{data.medium_vul}}</span></td>
                                        <td><span class="badge badge-pill badge-info">{{data.low_vul}}</span></td>
                                        <td><span class="badge badge-pill badge-info">{{data.info_vul}}</span></td>

                                        <td><span class="badge badge-pill badge-secondary">{{data.total_dup}}</span>
                                        </td>
{#                                        <td>#}
{#                                            <form action="{% url 'zapscanner:zap_scan_pdf_gen' %}" method="post"#}
{#                                                  class="forms-sample">#}
{##}
{#                                                {% csrf_token %}#}
{#                                                <input type="hidden" name="scan_id" value="{{data.scan_scanid}}"/>#}
{#                                                <input type="hidden" name="scan_url" value="{{data.scan_url}}"/>#}
{##}
{#                                                <button class="btn btn-success btn-sm"><i class="fas fa-file-pdf"></i>#}
{#                                                </button>#}
{#                                            </form>#}
{#                                        </td>#}
                                        <td class="confirm-delete">
                                            <form action="{% url 'zapscanner:del_zap_scan' %}" method="post"
                                                  class="forms-sample">

                                                {% csrf_token %}
                                                <input type="hidden" name="scan_scanid"
                                                       value="{{data.scan_scanid}}"/>
                                                <input type="hidden" name="scan_url" value="{{data.scan_url}}"/>
                                                <button class="btn btn-danger btn-sm"><i class="fas fa-times"></i>
                                                </button>
                                            </form>
                                        </td>

                                        {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="/static/matrix-admin-bt4/assets/libs/toastr/build/toastr.min.js"></script>
<script src="/static/matrix-admin-bt4/dist/js/custom.min.js"></script>

<script>
        $(window).load(function() {
            {% if messages %}
                {% for message in messages %}
                    {% if message.tags == 'alert-success' %}
                        toastr.success('{{ message }}');
                    {% endif %}
                    {% if message.tags == 'alert-danger' %}
                        toastr.error('{{ message }}');
                    {% endif %}
                {% endfor %}
            {% endif %}
        });
</script>
{% endblock %}

archerysec/webscanners/templates/zapscanner/zap_vuln_details.html
{% extends 'dashboard/base.html' %}

{% block body %}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
<script type="text/javascript">

    $("#checkAll").change(function () {
        $("input:checkbox").prop('checked', $(this).prop("checked"));
    });

    $(document).ready(function() {
        $('.btn-danger').click(function(){
            if (confirm('Are you sure you want to delete this?')) {
                var scan_id = ['a7af5b68-b661-45ad-90fd-ffa27526cdce'];
                $.each($("input[name='del_vuln_id']:checked"), function(){
                    scan_id.push($(this).val());
                });

                var json_scanid = scan_id.join(", ");
                $.ajax({
                    type:'POST',
                    <!--contentType: 'application/json; charset=utf-8',-->
                    url:'{% url 'zapscanner:del_zap_vuln' %}',
                    data:{
                       del_vuln: json_scanid,
                       scan_id: $('input[name=scan_id]').val(),
                       csrfmiddlewaretoken:$('input[name=csrfmiddlewaretoken]').val()
                    },
                    sucess:function(){
                    }
                });
                setTimeout(location.reload(), 8000);
            }
        });

    });

$(document).on('click', '.confirm-delete', function(){
    return confirm('Are you sure you want to delete this?');
})

</script>

<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="float-right">
                            <button type="button" class="btn btn-danger btn-mini" onclick="">Delete Selected</button>
                        </div>
                        <br>
                        <div class="d-md-flex align-items-center">
                            <h5 class="card-title">Vulnerability List</h5>
                        </div>
                        <br>
                        <div class="row">
                            <div class="table-responsive">
                                <!--<table id="vuln_details" class="table table-striped table-bordered" width="100%">-->
                                <table id="zap_scans_list" class="table table-bordered data-table">
                                    <thead>
                                    <tr>
                                        <th><label class="customcheckbox m-b-20">
                                            <input type="checkbox" id="mainCheckbox">
                                            <span class="checkmark"></span>
                                        </label></th>
                                        <th>Vulnerability</th>
                                        <th>Risk</th>
                                        <th>JIRA Ticket</th>
                                        <th>False Positive</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>{% for data in zap_all_vul %}
                                    <tr data-target="#">
                                        <td>
                                            <form>
                                                <label class="customcheckbox">
                                                    <input type="checkbox" class="listCheckbox"
                                                           value="{{data.vuln_id}}"
                                                           name="del_vuln_id"
                                                           onClick="reload">
                                                    <span class="checkmark"></span>
                                                </label>
                                            </form>
                                        </td>
                                        <td>
                                            <a href="{% url 'zapscanner:zap_vuln_check' %}?vuln_id={{data.vuln_id}}">{{data.name}}</a>
                                        </td>
                                        <td><span class="badge badge-pill badge-{{data.vuln_color}}">{{data.risk}}</span></td>
                                        <td><a href="{{jira_url}}browse/{{data.jira_ticket}}" target="_blank">{{data.jira_ticket}}</a>
                                        </td>
                                        {% if data.false_positive == 'No' %}
                                        <td>
                                            <form method="POST" action="{% url 'zapscanner:zap_vuln_details' %}">{% csrf_token %}
                                                <input type="hidden" name="vuln_id" value="{{data.vuln_id}}">
                                                <input type="hidden" name="false" value="Yes">
                                                <input type="hidden" name="status" value="{{data.vuln_status}}">
                                                <input type="hidden" name="vuln_name" value="{{data.name}}">
                                                <input type="hidden" name="scan_id" value="{{data.scan_id}}">
                                                <button class="btn btn-outline-info btn-mini">Yes</button>
                                            </form>
                                        </td>
                                        {% endif %}
                                     {% if data.false_positive == 'Yes' %}
                                     <td>
                                            <form method="POST" action="{% url 'zapscanner:zap_vuln_details' %}">{% csrf_token %}
                                                <input type="hidden" name="vuln_id" value="{{data.vuln_id}}">
                                                <input type="hidden" name="false" value="No">
                                                <input type="hidden" name="status" value="Open">
                                                <input type="hidden" name="vuln_name" value="{{data.name}}">
                                                <input type="hidden" name="scan_id" value="{{data.scan_id}}">
                                                <button class="btn btn-info btn-mini">No</button>
                                            </form>
                                        </td>
                                      {% endif %}
                                    {% if data.false_positive == 'Duplicate' %}
                                        <td>
                                            NA
                                        </td>
                                      {% endif %}
                                        <td>{{ data.vuln_status }}</td>
                                        {% if data.vuln_status == 'Open' %}
                                        <td>
                                            <form method="POST" action="{% url 'zapscanner:zap_vuln_details' %}">{% csrf_token %}
                                                <input type="hidden" name="vuln_id" value="{{data.vuln_id}}">
                                                <input type="hidden" name="false" value="No">
                                                <input type="hidden" name="status" value="Closed">
                                                <input type="hidden" name="vuln_name" value="{{data.name}}">
                                                <input type="hidden" name="scan_id" value="{{data.scan_id}}">
                                                <button class="btn btn-outline-info btn-mini">Close</button>
                                            </form>
                                        </td>
                                    {% endif %}
                                    {% if data.vuln_status == 'Closed' %}
                                        <td>
                                        <form method="POST" action="{% url 'zapscanner:zap_vuln_details' %}">{% csrf_token %}
                                            <input type="hidden" name="vuln_id" value="{{data.vuln_id}}">
                                            <input type="hidden" name="false" value="No">
                                            <input type="hidden" name="status" value="Open">
                                            <input type="hidden" name="vuln_name" value="{{data.name}}">
                                            <input type="hidden" name="scan_id" value="{{data.scan_id}}">
                                            <button class="btn btn-info btn-mini">Open</button>
                                        </form>
                                    </td>
                                    {% endif %}
                                    {% if data.vuln_status == 'Duplicate' %}
                                        <td>
                                            NA
                                        </td>
                                    {% endif %}
                                    </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}